Orxonox: orxonox::ConfigFileEntryComment Class Reference

# orxonox::ConfigFileEntryComment Class Reference

`#include <src/core/ConfigFileManager.h>`

Inheritance diagram for orxonox::ConfigFileEntryComment:

List of all members.

## Public Member Functions

| ConfigFileEntryComment (const std::string &comment)
virtual std::string | getFileEntry () const
virtual const std::string & | getName () const
virtual std::string | getValue () const
virtual void | setComment (const std::string &comment)
void | setString (bool bString)
virtual void | setValue (const std::string &value)
virtual | ~ConfigFileEntryComment ()

## Private Attributes

std::string | comment_

## Constructor & Destructor Documentation

orxonox::ConfigFileEntryComment::ConfigFileEntryComment | ( | const std::string & | comment | ) | `[inline]`

virtual orxonox::ConfigFileEntryComment::~ConfigFileEntryComment | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual std::string orxonox::ConfigFileEntryComment::getFileEntry | ( |  | ) | const`[inline, virtual]`

Implements orxonox::ConfigFileEntry.

virtual const std::string& orxonox::ConfigFileEntryComment::getName | ( |  | ) | const`[inline, virtual]`

Implements orxonox::ConfigFileEntry.

virtual std::string orxonox::ConfigFileEntryComment::getValue | ( |  | ) | const`[inline, virtual]`

Implements orxonox::ConfigFileEntry.

virtual void orxonox::ConfigFileEntryComment::setComment | ( | const std::string & | comment | ) | `[inline, virtual]`

Implements orxonox::ConfigFileEntry.

void orxonox::ConfigFileEntryComment::setString | ( | bool | bString | ) | `[inline, virtual]`

Implements orxonox::ConfigFileEntry.

virtual void orxonox::ConfigFileEntryComment::setValue | ( | const std::string & | value | ) | `[inline, virtual]`

Implements orxonox::ConfigFileEntry.

## Member Data Documentation

std::string orxonox::ConfigFileEntryComment::comment_`[private]`

The documentation for this class was generated from the following file:

- src/core/ConfigFileManager.h